# $Revision: 1.10 $, $Date: 2008/11/12 21:02:35 $
Summary:	Library integrating clutter with Cairo
Summary(pl.UTF-8):	Biblioteka integrująca clutter z Cairo
Name:		clutter-cairo
Version:	0.8.2
Release:	1
License:	LGPL v2+
Group:		Libraries
Source0:	http://www.clutter-project.org/sources/clutter-cairo/0.8/%{name}-%{version}.tar.gz
# Source0-md5:	c3bfae082d007be37d9725e5e7b4a30b
URL:		http://www.clutter-project.org/
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake >= 1:1.9
BuildRequires:	clutter-devel >= 0.8.2
BuildRequires:  clutter-devel < 0.9
BuildRequires:	cairo-devel >= 1.4
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Library integrating clutter with Cairo.

%description -l pl.UTF-8
Biblioteka integrująca clutter z Cairo.

%package devel
Summary:	Header files for clutter-cairo library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki clutter-cairo
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	clutter-devel >= 0.8.2
Requires:	clutter-devel < 0.9
Requires:	cairo-devel >= 1.4

%description devel
Header files for clutter-cairo library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki clutter-cairo.

%package static
Summary:	Static clutter-cairo library
Summary(pl.UTF-8):	Statyczna biblioteka clutter-cairo
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static clutter-cairo library.

%description static -l pl.UTF-8
Statyczna biblioteka clutter-cairo.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%attr(755,root,root) %{_libdir}/libclutter-cairo-0.8.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libclutter-cairo-0.8.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libclutter-cairo-0.8.so
%{_libdir}/libclutter-cairo-0.8.la
%{_includedir}/clutter-0.8/clutter-cairo
%{_pkgconfigdir}/clutter-cairo-0.8.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libclutter-cairo-0.8.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: clutter-cairo.spec,v $
Revision 1.10  2008/11/12 21:02:35  arekm
- up to 0.8.2

Revision 1.9  2008/11/12 20:41:27  arekm
- release 2

Revision 1.8  2008/06/21 14:54:01  patrys
- 0.6.2

Revision 1.7  2008-02-20 19:16:07  qboosh
- ghost soname symlink
- updated am BR

Revision 1.6  2008-02-19 10:33:55  patrys
- 0.6.0

Revision 1.5  2007-08-12 17:06:11  qboosh
- updated clutter deps

Revision 1.4  2007/08/09 10:53:36  patrys
- 0.4.0

Revision 1.3  2007/06/16 23:21:57  qboosh
- devel deps
- libtoolize
- more verbose files

Revision 1.2  2007/06/16 22:46:06  qboosh
- desc for proper package (+pl)
- fixed URL, Group and License

Revision 1.1  2007/06/09 17:14:23  aredridel
- added
